Package ru.bitel.bgbilling.kernel.task.common.bean

# Class SchedulerTaskLog

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.task.common.bean.SchedulerTaskLog

All Implemented Interfaces:
  `Serializable`, `Idable`

public class SchedulerTaskLog extends Id
Лог выполнения задачи планировщика: какая задача, когда была запущена, когда закончила свою работу, время выполнения.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchedulerTaskLog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getDuration()`
  Продолжительность выполнения задачи в миллисекундах.
  `long`
  `getFinishTime()`
  Получение даты и времени окончания выполнения задачи.
  `long`
  `getStartTime()`
  Получение даты и времени начала выполнения задачи.
  `int`
  `getTaskId()`
  Получение кода выполненной задачи.
  `String`
  `getTaskTitle()`
  Получение названия выполненной задачи
  `SchedulerTaskLog`
  `setFinishTime(long finishTime)`
  Установка даты и времени окончания выполнения задачи.
  `SchedulerTaskLog`
  `setId(int id)`
  Устанавливает id объекта
  `SchedulerTaskLog`
  `setStartTime(long startTime)`
  Установка даты и времени начала выполнения задачи.
  `SchedulerTaskLog`
  `setTaskId(int taskId)`
  Установка кода выполненной задачи.
  `SchedulerTaskLog`
  `setTaskTitle(String taskTitle)`
  Установка названия выполненной задачи.
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SchedulerTaskLog

    public SchedulerTaskLog()

- ## Method Details

  - ### getDuration

    public long getDuration()
    Продолжительность выполнения задачи в миллисекундах. Вычисляется на основе полей `startTime` и `finishTime`.
    Returns:
      the duration

  - ### getFinishTime

    public long getFinishTime()
    Получение даты и времени окончания выполнения задачи.
    Returns:
      дата и время окончания выполнения задачи.

  - ### getStartTime

    public long getStartTime()
    Получение даты и времени начала выполнения задачи.
    Returns:
      дата и время начала выполнения задачи.

  - ### getTaskId

    public int getTaskId()
    Получение кода выполненной задачи.
    Returns:
      код выполненной задачи.

  - ### getTaskTitle

    public String getTaskTitle()
    Получение названия выполненной задачи
    Returns:
      the taskTitle название выполненной задачи

  - ### setFinishTime

    public SchedulerTaskLog setFinishTime(long finishTime)
    Установка даты и времени окончания выполнения задачи.
    Parameters:
      `finishTime` - дата и время окончания выполнения задачи.

  - ### setId

    public SchedulerTaskLog setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setStartTime

    public SchedulerTaskLog setStartTime(long startTime)
    Установка даты и времени начала выполнения задачи.
    Parameters:
      `startTime` - дата и время начала выполнения задачи.

  - ### setTaskId

    public SchedulerTaskLog setTaskId(int taskId)
    Установка кода выполненной задачи.
    Parameters:
      `taskId` - код выполненной задачи.

  - ### setTaskTitle

    public SchedulerTaskLog setTaskTitle(String taskTitle)
    Установка названия выполненной задачи.
    Parameters:
      `taskTitle` - название выполненной задачи

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`